#include "hauteurs.hpp"
#include <random>
#include <iostream>


int main(void)
{
  std::mt19937 gen(9483);
  // On initialise un générateur de nombres aléatoires
  
  std::uniform_int_distribution<int> U(0,1);
  
  hauteurs H;
  int X=0;

  for (int i=0; i<500;i++)
	{
	  H.ajout(X); // On incrémente la valeur de H au point X.

	  // On affiche sur une ligne les valeurs prises par le couple (X,H[X]).
	  // La figure obtenue en reliant ces points est dans "macon.png".
	  std::cout << X << " " << H[X] << "\n";

	  // X se déplace de 1 ou de -1.
	  X += 2*U(gen)-1;
	}
  
  return 0;
}
